centos 7 yum 깨짐

리눅스 2017. 12. 5. 14:19

어느날 갑자기 찾아온 청천벽력과 같은 이야기가 날아 들어왔다.

yum package 관리 프로그램이 문제가 생겼다.
아래와 같은 문구가 막생김. 아무리 눌러도 되지 않음

yum command doesn’t work!!!!!!!!

There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /lib64/libcurl.so.4: file too short

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.7.5 (default, Aug  4 2017, 00:39:18)
[GCC 4.8.5 20150623 (Red Hat 4.8.5-16)]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://yum.baseurl.org/wiki/Faq

구글링을 해 보아도 딱히 좋은 해결 방책은 보이지 않는다.

Imgur

일단 문제 여부를 파악하지 위해서 문제가 있는 서버의 파일 상태를 체크 하기로 했다. 파일이 작다니 파일이 문제가 있는가 보다 의심이 든다.

$ ls -ls /usr/lib64/libcurl.so.*
0 lrwxrwxrwx. 1 root root 16 1128 13:15 /usr/lib64/libcurl.so.4 -> libcurl.so.4.3.0
0 -rwxr-xr-x. 1 root root  0 1128 00:43 /usr/lib64/libcurl.so.4.3.0

보아하니 파일 용량이 0 byte 이다. 아놔 이게 문제였꾸나.!!!!! 그냥 파일이 어디론가 승천해버린 것.

다행히 옆에 서버도 같은 Centos 로 세팅해 놓은 것이 있어서 파일을 찾을 수 잇엇다.

/usr/lib64/libcurl.so.4 파일과 /usr/lib64/libcurl.so.4.3.0 파일을 무식하게 붙여넣기 했다.

엉엉.. 눈물난다. 된다. ㅠㅠ

Imgur

다른 불쌍한 사람들이 있다면, 이를 다운 받아서 사용하시길.. /usr/lib64/에 넣어주기만 하면 됩니다.

'리눅스' 카테고리의 다른 글

Amazon Linux AMI에 mysql57 설치  (0) 2018.07.24
nginx + php71 + php-fpm 설치하기  (0) 2018.06.20
centos 7 yum 깨짐  (0) 2017.12.05
centos 7 커널 최신버전으로 설치하기  (0) 2017.09.18
리눅스 daemon 항목들 정리  (0) 2016.08.09
소유자, 그룹 변경하기  (0) 2016.07.28
블로그 이미지

부들잎

안녕하세요

댓글을 달아 주세요